import { resolveContestId } from "../../../utils/election/index.js";
import useContestResults from '../useContestResults';
const useContestMetadata = function useContestMetadata(id) {
  const contestId = resolveContestId(id);
  const results = useContestResults(contestId);
  if (!results || !results.combinedMetadata) return undefined;
  return results.combinedMetadata.contest;
};
export default useContestMetadata;